## fuse 2.9.9-8.1build1trisquel1

=== debian/changelog ===
fuse (2.9.9-8.1build1trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 07 Oct 2024 16:54:07 +0000

fuse (2.9.9-8.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:27:22 +0000

fuse (2.9.9-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition. (Closes: #1062089)

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 01 Mar 2024 11:24:20 +1300

fuse (2.9.9-8) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Fix /dev/fd/N support to handle the absence of a mountpoint.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 07 Nov 2023 06:58:07 +0100

fuse (2.9.9-7) unstable; urgency=medium

  * Use no for Rules-Requires-Root.
  * Update Standards-Version to 4.6.2 .

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Cover libfuse2-udeb with the noudeb build profile (closes: #1024926).
  * Backport support for /dev/fd/N (closes: #1055222).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 05 Nov 2023 13:44:31 +0100

fuse (2.9.9-6) unstable; urgency=medium

  * Disable link time optimization (closes: #1015408).
  * Update Lintian overrides.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.6.1 .

  [ Adrian Bunk <bunk@debian.org> ]
  * Add upstream fix for FTBFS with glibc 2.34 (closes: #1017154).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 16 Oct 2022 14:24:16 +0200
