=== debian/control ===
Source: fuse
Section: utils
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libselinux-dev [linux-any],
 gettext
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/libfuse/libfuse/wiki

Package: fuse
Section: utils
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libfuse2t64 (= ${binary:Version}),
 adduser,
 mount (>= 2.19.1),
 sed (>= 4)
Description: Filesystem in Userspace
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.

Package: libfuse2t64
Provides: ${t64:Provides}
Replaces: libfuse2
Breaks: libfuse2 (<< ${source:Version})
Section: libs
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Conflicts: fuse (<< ${binary:Version})
Suggests: fuse
Description: Filesystem in Userspace (library)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.
 .
 This package contains the shared library.

Package: libfuse-dev
Section: libdevel
Architecture: linux-any kfreebsd-any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libfuse2t64 (= ${binary:Version}),
 libselinux-dev [linux-any],
Suggests: fuse
Description: Filesystem in Userspace (development)
 Filesystem in Userspace (FUSE) is a simple interface for userspace programs to
 export a virtual filesystem to the Linux kernel. It also aims to provide a
 secure method for non privileged users to create and mount their own filesystem
 implementations.
 .
 This package contains the development files.

Package: fuse-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Architecture: linux-any
Section: debian-installer
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libfuse2-udeb (= ${binary:Version}),
Description: Filesystem in Userspace

Package: libfuse2-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Architecture: linux-any kfreebsd-any
Section: debian-installer
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Filesystem in Userspace (library)
