## fuse makefiles

=== Makefile ===


.EXPORT_ALL_VARIABLES:

DIRS = lib util kernel
# example

# should always be set.
CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -D_REENTRANT

CFLAGS += -DUSE_UCLIBC
#CFLAGS += -DUCLIBC_HAS_MMU
CFLAGS += -DEMBEDDED
CFLAGS += -D_GNU_SOURCE

all romfs install:
	for i in $(DIRS) ; do make -C $$i $@ || exit $?; done

clean:
	for i in $(DIRS) ; do make -C $$i clean ; done
