=== lib/Makefile ===

EXEC = libfuse.a
OBJS = fuse.o fuse_mt.o helper.o mount.o

# macros and variables
RANLIB = $(CROSS)ranlib

all: $(EXEC)

CFLAGS += -Wall -I../include

FLTFLAGS = -s 32000

$(EXEC): $(OBJS)
	rm -f $(EXEC)
	$(CROSS)ar cr $(EXEC) $(OBJS)

romfs:

install:

clean:
	rm -f $(EXEC) *.gdb *.elf *.o *.s *.i
