## fuse makefiles-2.1

=== Makefile ===
--- 
+++ 
@@ -8,6 +8,7 @@
 # should always be set.
 CFLAGS += -D_FILE_OFFSET_BITS=64
 CFLAGS += -D_REENTRANT
+CFLAGS += -DFUSE_DIRFIL_COMPAT
 
 CFLAGS += -DUSE_UCLIBC
 #CFLAGS += -DUCLIBC_HAS_MMU
