=== kernel/Makefile ===
--- 
+++ 
@@ -5,21 +5,24 @@
 all: KERNEL_VERSION $(EXECS)
 
 CFLAGS = -fno-builtin -nostdinc -D__uClinux__ -D__KERNEL__ -I${ROOTDIR}/${CONFIG_LINUXDIR}/include -Wall -Wstrict-prototypes -Wno-trigraphs -O1 -fno-strict-aliasing -fno-common -I$(GCC_DIR)/include -pipe -DNO_MM -DNO_FPU $(CPUFLAGS) -Wa,-S -Wa,$(CPUFLAGS) -DUTS_SYSNAME="uClinux" -D__linux__ -DMODULE  -nostdinc -iwithprefix include
-CFLAGS += -DFUSE_VERSION=\"1.1\"
+CFLAGS += -DFUSE_VERSION=\"2.1\"
 
 #VERSION = 2
 #PATCHLEVEL = 4
 #SUBLEVEL = 20
+#EXTRAVERSION = .1-uc0
 #CFLAGS = -D__KERNEL__ -I${LINUXDIR}/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fno-strict-aliasing -fno-common -fomit-frame-pointer -I${LINUXDIR}/../../include -I ${LINUXDIR}/include/asm/gcc -G 0 -mno-abicalls -fno-pic -pipe -mcpu=r4600 -mips2 -Wa,--trap  -m4710a0kern   -nostdinc -iwithprefix include -DMODULE -mlong-calls -fno-common
 
 
 CFLAGS += -I../include
 CFLAGS += -D_FILE_OFFSET_BITS=64
+CFLAGS += -DEMBEDDED
+CFLAGS += -DFUSE_DIRFIL_COMPAT
 
 LDFLAGS = -r
 
 KERNEL_VERSION:
-	sed -n -e 's/^\([A-Z]*\)\ =\ \([0-9]*\)$$/\1=\2/p' -e 's/^\([A-Z]*\)\ =\ \(-[-a-z0-9]*\)$$/\1=\2/p' ${ROOTDIR}/${CONFIG_LINUXDIR}/Makefile > KERNEL_VERSION
+	sed -n -e 's/^\([A-Z]*\)\ =\ \([-0-9.A-Za-z]*\)$$/\1=\2/p' -e 's/^\([A-Z]*\)\ =\ \(-[-a-z0-9]*\)$$/\1=\2/p' ${ROOTDIR}/${CONFIG_LINUXDIR}/Makefile > KERNEL_VERSION
 
 COMPOBJ = compat/parser.o
