## fuse makefiles-2.3

=== Makefile ===


.EXPORT_ALL_VARIABLES:

DIRS = kernel lib util
# example

# should always be set.
CFLAGS += -D_FILE_OFFSET_BITS=64
CFLAGS += -D_REENTRANT
CFLAGS += -DFUSE_USE_VERSION=22

CFLAGS += -DUSE_UCLIBC
#CFLAGS += -DUCLIBC_HAS_MMU
CFLAGS += -D_GNU_SOURCE

CFLAGS += -Wall

#LIBFUSE_SHARED=1
#LIBFUSE_ID=2

all romfs install:
	for i in $(DIRS) ; do make -C $$i $@ || exit $?; done

clean:
	for i in $(DIRS) ; do make -C $$i clean ; done
