=== example/Makefile ===

EXECS = hello fusexmp hello_mt
OBJS = hello.o fusexmp.o hello_mt.o

all: $(EXECS)

CFLAGS += -Wall -I../include
FUSELIBS += ../lib/libfuse.a

FLTFLAGS = -s 32000
#FLTFLAGS += -v

fusexmp: fusexmp.o
	$(CC) $(LDFLAGS) -o fusexmp fusexmp.o $(FUSELIBS) $(LIBPTHREAD) $(LDLIBS)

hello: hello.o
	$(CC) $(LDFLAGS) -o hello hello.o $(FUSELIBS) $(LIBPTHREAD) $(LDLIBS)

hello_mt: hello_mt.o
	$(CC) $(LDFLAGS) -o hello_mt hello_mt.o $(FUSELIBS) $(LIBPTHREAD) $(LDLIBS)

romfs:
	$(ROMFSINST) /usr/bin/hello
	$(ROMFSINST) /usr/bin/hello_mt
	$(ROMFSINST) /usr/bin/fusexmp

clean:
	rm -f $(EXECS) *.gdb *.elf *.o
