=== lib/Makefile ===

EXEC = libfuse.a
ifdef LIBFUSE_SHARED
EXEC += libfuse.gdb
endif

OBJS = fuse.o fuse_mt.o helper.o mount.o

all: $(EXEC)

CFLAGS += -I../include

libfuse.a: $(OBJS)
	rm -f libfuse.a
	$(CROSS)ar cr libfuse.a $(OBJS)
	$(CROSS)ranlib libfuse.a

libfuse.gdb: libfuse.a $(OBJS)
	rm -f libfuse.so*
	$(CROSS)gcc -o libfuse -g -nostartfiles \
		-mid-shared-library -mshared-library-id=0 \
		-Os -g -fomit-frame-pointer -m5200 -DCONFIG_COLDFIRE -fno-common -Wall  -Dlinux -D__linux__ -Dunix -D__uClinux__ -DEMBED -nostdinc -I$(ROOTDIR)/include -I$(ROOTDIR)/include/include -fno-builtin -Wl,-elf2flt -Wl,-move-rodata -nostartfiles $(ROOTDIR)/lib/crt0.o $(ROOTDIR)/lib/crti.o $(ROOTDIR)/lib/crtn.o  -L$(ROOTDIR)/lib \
		-Wl,-elf2flt -nostdlib \
		-mid-shared-library -mshared-library-id=$(LIBFUSE_ID) \
		-Wl,-shared-lib-id,$(LIBFUSE_ID) \
		-Wl,-R,$(ROOTDIR)/lib/libc.gdb \
		${ROOTDIR}/${CONFIG_LIBCDIR}/lib/main.o \
		-Wl,--whole-archive,libfuse.a,--no-whole-archive \
		-lc -lpthread -lgcc
	$(CROSS)objcopy \
		-L _GLOBAL_OFFSET_TABLE_ \
		-L main \
		-L __main \
		-L lib_main \
		-L __do_global_dtors \
		-L __do_global_ctors    \
		-L __CTOR_LIST__ \
		-L __DTOR_LIST__ \
		-L _current_shared_library_a5_offset_ \
		libfuse.gdb

romfs:
ifdef LIBFUSE_SHARED
	$(ROMFSINST) libfuse /lib/lib$(LIBFUSE_ID).so
endif

install:

clean:
	rm -f $(EXEC) *.gdb *.elf *.o *.s *.i
