=== util/Makefile ===

EXECS = fusermount fusermount.static
OBJS = fusermount.o

all: $(EXECS)

CFLAGS += -I../include

FLTFLAGS += -s 32000

fusermount: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS)

fusermount.static: $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LDLIBS) -static

romfs:
	$(ROMFSINST) /usr/bin/fusermount

install:
	install -d $(INSTALLDIR)/usr/bin
	install fusermount $(INSTALLDIR)/usr/bin/fusermount
	install fusermount.static $(INSTALLDIR)/usr/bin/fusermount.static

clean:
	rm -f $(EXECS) *.gdb *.elf *.o
